Bug 191104 - lang/tinypy: Stagify; add LICENSE
Summary: lang/tinypy: Stagify; add LICENSE
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-06-16 21:36 UTC by Keith Gaughan
Modified: 2014-06-21 11:10 UTC (History)
2 users (show)

See Also:


Attachments
tinypy.diff.txt (1.21 KB, patch)
2014-06-16 21:36 UTC, Keith Gaughan
no flags Details | Diff
tinypy.diff.txt (1.26 KB, patch)
2014-06-18 23:28 UTC, Keith Gaughan
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Keith Gaughan 2014-06-16 21:36:50 UTC
Created attachment 143849 [details]
tinypy.diff.txt

Make the port safe for staging and set LICENSE.
Comment 1 Raphael Kubo da Costa freebsd_committer 2014-06-17 21:57:04 UTC
Doesn't the port use both MIT and PSF-licensed code?
Comment 2 Keith Gaughan 2014-06-17 22:21:26 UTC
Yes, it does. However, I couldn't figure out how to specify multiple licences, though that could easily just be me being thick and missing something in the porter's handbook. I'll take a read through it again and see if I missed something.
Comment 3 Keith Gaughan 2014-06-18 23:15:03 UTC
Had a poke around the handbook and couldn't find what I was looking for, but stumbled across the relevant information in the wiki. I'll have an updated patch to you in a tick.
Comment 4 Keith Gaughan 2014-06-18 23:28:38 UTC
Created attachment 143913 [details]
tinypy.diff.txt

Found the relevant bits I needed from the PortsLicenseInfrastructure page on the wiki.
Comment 5 Raphael Kubo da Costa freebsd_committer 2014-06-21 11:10:15 UTC
Committed, thanks a lot!
Comment 6 commit-hook freebsd_committer 2014-06-21 11:10:16 UTC
A commit references this bug:

Author: rakuco
Date: Sat Jun 21 11:10:02 UTC 2014
New revision: 358689
URL: http://svnweb.freebsd.org/changeset/ports/358689

Log:
  - Support staging.
  - Set LICENSE.

  PR:		191104
  Submitted by:	Keith Gaughan <k@stereochro.me>
  Approved by:	portmgr blanket approval

Changes:
  head/lang/tinypy/Makefile
  head/lang/tinypy/pkg-descr